threshold_graph {memnet} | R Documentation

## Create threshold graph

### Description

Create a graph from verbal fluency data by adding edges for words that occur adjacent to each other more frequently than `min_cooc`.

### Usage

    threshold_graph(dat, min_cooc = 2L)

### Arguments

`dat` | list of character vectors containing the fluency productions.
`min_cooc` | integer specifying the minimum number of times two words are required to coocur one step apart from each other for an edge to connect those words.

### Value

A matrix

### References

Wulff, D. U., Hills, T., & Mata, R. (2018, October 29). Structural differences in the semantic networks of younger and older adults. https://doi.org/10.31234/osf.io/s73dp

Zemla, J. C., & Austerweil, J. L. (2018). Estimating semantic networks of groups and individuals from fluency data. Computational Brain & Behavior, 1-23.

### Examples

    # get animal fluency data
    data(animal_fluency)

    # infer influence network
    inferred_network = threshold_graph(animal_fluency)

    # Simulate -----

    # generate watts strogatz graph
    network = grow_ws(n = 200, k = 10, p = .5)

    # generate fluency data
    # sets string equal TRUE as community_graph expects mode character
    fluency_data = fluency(get_adjlist(network), rep(10, 100), string = TRUE)

    # infer fluency network
    inferred_network = threshold_graph(fluency_data)

[Package memnet version 0.1.0 Index]